GDB (xrefs)

Functions
cli-setshow.h File Reference

Go to the source code of this file.

## Functions
int | parse_cli_boolean_value (const char *arg)
void | do_set_command (const char *arg, int from_tty, struct cmd_list_element *c)
void | do_show_command (const char *arg, int from_tty, struct cmd_list_element *c)
void | cmd_show_list (struct cmd_list_element *list, int from_tty, const char *prefix)

## Function Documentation

## ◆ cmd_show_list()

void cmd_show_list | ( | struct cmd_list_element * | list,
|  | int | from_tty,
|  | const char * | prefix
| ) |  |

Definition at line 657 of file cli-setshow.c.

## ◆ do_set_command()

void do_set_command | ( | const char * | arg,
|  | int | from_tty,
|  | struct cmd_list_element * | c
| ) |  |

Definition at line 150 of file cli-setshow.c.

References _, auto_boolean_enums, cmd_list_element::enums, error(), error_no_arg(), cmd_list_element::func, gdb_assert, get_current_arch(), INT_MAX, INT_MIN, is_unlimited_literal(), cmd_list_element::name, name, notify_command_param_changed_p(), observer_notify_command_param_changed(), parse_and_eval_long(), parse_auto_binary_operation(), parse_cli_boolean_value(), parse_escape(), plongest(), cmd_list_element::prefix, cmd_list_element::prefixlist, set_cmd, setlist, string, cmd_list_element::type, UINT_MAX, cmd_list_element::var, var_auto_boolean, var_boolean, var_enum, var_filename, var_integer, var_optional_filename, var_string, var_string_noescape, cmd_list_element::var_type, var_uinteger, var_zinteger, var_zuinteger, var_zuinteger_unlimited, xfree(), xmalloc(), XNEWVEC, xrealloc(), and xsnprintf().

Referenced by execute_command(), set_auto_load_cmd(), and set_per_command_cmd().

## ◆ do_show_command()

void do_show_command | ( | const char * | arg,
|  | int | from_tty,
|  | struct cmd_list_element * | c
| ) |  |

Definition at line 560 of file cli-setshow.c.

References _, AUTO_BOOLEAN_AUTO, AUTO_BOOLEAN_FALSE, AUTO_BOOLEAN_TRUE, string_file::c_str(), current_uiout, deprecated_show_value_hack(), error(), ui_out::field_stream(), cmd_list_element::func, gdb_assert, gdb_stdout, INT_MAX, internal_error(), ui_out::is_mi_like_p(), cmd_list_element::pre_show_hook, ui_file::printf(), ui_file::puts(), ui_file::putstr(), show_cmd, cmd_list_element::show_value_func, cmd_list_element::type, UINT_MAX, cmd_list_element::var, var_auto_boolean, var_boolean, var_enum, var_filename, var_integer, var_optional_filename, var_string, var_string_noescape, cmd_list_element::var_type, var_uinteger, var_zinteger, var_zuinteger, and var_zuinteger_unlimited.

Referenced by cmd_show_list(), execute_command(), and show_remote_cmd().

## ◆ parse_cli_boolean_value()

int parse_cli_boolean_value | ( | const char * | arg | ) |

Definition at line 78 of file cli-setshow.c.

Referenced by do_set_command(), and set_per_command_cmd().